Bug 61439

Summary: Stop shipping JavaEE APIs as part as tomcat-embed-core
Product: Tomcat 8 Reporter: Stephane Nicoll <stephane.nicoll>
Component: PackagingAssignee: Tomcat Developers Mailing List <dev>
Status: RESOLVED FIXED    
Severity: normal CC: awilkinson
Priority: P2    
Version: 8.5.x-trunk   
Target Milestone: ----   
Hardware: All   
OS: All   

Description Stephane Nicoll 2017-08-17 15:11:08 UTC
This relates to #59899 and the support of Java9 which is summarized in this Spring Boot issue: https://github.com/spring-projects/spring-boot/issues/9366

Essentially, we are wondering if you would consider stop shipping JavaEE APIs and rather rely on official JAR(s). That way, we (and anyone) could apply regular build exclusion in case we are shipping it ourselves or if we want to provide a more recent version.
Comment 1 Mark Thomas 2017-08-31 14:50:15 UTC
Fixed in:
- trunk for 9.0.0.M27 onwards
- 8.5.x for 8.5.21 onwards
- 8.0.x for 8.0.47 onwards
- 7.0.x for 7.0.82 onwards
Comment 2 Mark Thomas 2017-09-29 13:45:50 UTC
The current solution doesn't quite meet the requirement.

My current thinking is to remove the javax.ejb, javax.persistence and javax.xml.ws classes from the distributed JARS entirely. Essentially make the code that references these classes optional based on the presence of those classes - similar to the way we handle javax.mail
Comment 3 Andy Wilkinson 2017-09-29 13:49:38 UTC
FWIW, the new proposal sounds good to me. I think that'll resolve the problem that we've got in Boot with the current solution.
Comment 4 Mark Thomas 2017-09-29 14:36:42 UTC
It didn't quite make this weeks's releases.

Fixed in:
- trunk for 9.0.2 onwards
- 8.5.x for 8.5.24 onwards
- 8.0.x for 8.0.48 onwards
- 7.0.x for 7.0.83 onwards